Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-2019

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2005-2019
Last Modified 05 Sep 2008 04:50:40
Published 05 Jul 2005 12:00:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-2019

Summary

ipfw in FreeBSD 5.4, when running on Symmetric Multi-Processor (SMP) or Uni Processor (UP) systems with the PREEMPTION kernel option enabled, does not sufficiently lock certain resources while performing table lookups, which can cause the cache results to be corrupted during multiple concurrent lookups, allowing remote attackers to bypass intended access restrictions.

Vulnerable Systems

Operating System

  • Freebsd 5.4


References

FREEBSD - FreeBSD-SA-05:13


Last Updated: 27 May 2016 10:40:22